#pragma once

#include "CoreMinimal.h"
#include "EWwiseAssetLibraryRefType.h"
#include "UObject/NoExportTypes.h"
#include "WwiseAssetLibraryRef.generated.h"

USTRUCT(BlueprintType)
struct FWwiseAssetLibraryRef
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EWwiseAssetLibraryRefType Type;

	UPROPERTY(EditAnywhere)
	FGuid Guid;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName Name;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 LanguageId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SoundBankId;

public:
	WWISEPACKAGINGRUNTIME_API FWwiseAssetLibraryRef();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseAssetLibraryRef) { return 0; }
